<script setup>
let pressed = ref(false);
</script>

<template>
  <button class="fr-tag urgent" :aria-pressed="pressed" @click="pressed = !pressed">
    <slot />
  </button>
</template>

<style>
button.fr-tag {
  width: max-content;
}

/* button.urgent {
  background-image: radial-gradient(circle at 100% .25rem, transparent .578125rem, var(--background-flat-warning) .625rem) !important;
} */
</style>
